Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85837 - can't show advisory: TypeError: unsubscriptable object
Summary: can't show advisory: TypeError: unsubscriptable object
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-08 23:49 UTC by Robert M. Riches Jr.
Modified: 2007-04-18 16:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 20:14:00 UTC


Attachments (Terms of Use)

Description Robert M. Riches Jr. 2003-03-08 23:49:20 UTC
Description of problem:
When attempting to view the advisory on kernel-2.4.18-26.8.0, update
responds with an error message instead of the advisory window.

Version-Release number of selected component (if applicable):
up2date-3.0.7-1

How reproducible:
Every time I tried it.

Steps to Reproduce:
1.Don't have kernel-2.4.18-26.8.0 installed.
2.Bring up up2date.
3.Select kernel-2.4.18-26.8.0.
4.Click on 'View Advisory'.
    
Actual results:
(indentation by four spaces mine)

    Traceback (most recent call last):
      File "/usr/share/rhn/up2date_client/gui.py", line 954, in showAdvisory
        advisories = rhnErrata.getAdvisoryInfo(rowData[1])
    TypeError: unsubscriptable object

Expected results:
Up2date should display the advisory in a window.

Additional info:

Comment 1 Need Real Name 2003-08-08 06:27:52 UTC
Same happens to me, except I'm running Redhat Linux 9 and when I tried to view
the advisory for the bash update, and the error number differs:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1063, in showAdvisory
    advisories = rhnErrata.getAdvisoryInfo(rowData[1])
TypeError: unsubscriptable object


Comment 2 dave 2003-09-16 07:33:09 UTC
Same as Comment 1 except this was the first execution of up2date --register
after installing the new key rpm's. Was able to continue downloading packages
and scheduling.
Error msg:
[root@localhost root]# up2date --register
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1063, in showAdvisory
    advisories = rhnErrata.getAdvisoryInfo(rowData[1])
TypeError: unsubscriptable object


Note You need to log in before you can comment on or make changes to this bug.